Index: /extensions/music_player/class.inc.php
===================================================================
--- /extensions/music_player/class.inc.php	(revision 12577)
+++ /extensions/music_player/class.inc.php	(revision 12578)
@@ -37,5 +37,5 @@
  	 if (isset($conf_plugin)) {
 		$template->concat( 'PLUGIN_INDEX_ACTIONS',
-		  '<li><a href="javascript:void(0)" onClick="window.open(\''.get_root_url().'plugins/'.$this->plugin_name.'/lecteur.php\',\'musique\',\'width='.$conf_plugin[4].',height='.$conf_plugin[3].',top=400,left=400,toolbar=no,location=no,menubar=no,resizable=yes,status=no,alwaysRaised=yes\')" ><img src="'.get_root_url().'plugins/'.$this->plugin_name.'/template/icon/icon32.png"  width="26" height="26" alt="Music Player" title="Play Music" class="button" /></a></li>');
+		  '<li><a href="javascript:void(0)" title="Play Music" onClick="window.open(\''.get_root_url().'plugins/'.$this->plugin_name.'/lecteur.php\',\'musique\',\'width='.$conf_plugin[4].',height='.$conf_plugin[3].',top=400,left=400,toolbar=no,location=no,menubar=no,resizable=yes,status=no,alwaysRaised=yes\')" ><img src="'.get_root_url().'plugins/'.$this->plugin_name.'/template/icon/icon32.png"  width="26" height="26" alt="Music Player" class="button" /></a></li>');
 	  }
   }
Index: /extensions/music_player/maintain.inc.php
===================================================================
--- /extensions/music_player/maintain.inc.php	(revision 12577)
+++ /extensions/music_player/maintain.inc.php	(revision 12578)
@@ -3,54 +3,35 @@
 function plugin_install()
 {
-    global $prefixeTable;
+  global $prefixeTable;
+  $q = 'CREATE TABLE ' . $prefixeTable . 'mp_playlist (
+        id BIGINT NOT NULL AUTO_INCREMENT ,
+        type VARCHAR( 50 ) NOT NULL ,
+        url VARCHAR( 255 ) NOT NULL ,
+        texte TINYTEXT NOT NULL ,
+        PRIMARY KEY ( id )
+        );
+  ';
+  pwg_query($q);
+  $q = 'CREATE TABLE ' . $prefixeTable . 'mp_music (
+        id BIGINT NOT NULL AUTO_INCREMENT ,
+        pl_id BIGINT NOT NULL ,
+        rang BIGINT NOT NULL ,
+        url VARCHAR( 255 ) NOT NULL ,
+        nom VARCHAR( 255 ) NOT NULL ,
+        PRIMARY KEY ( id )
+        );
+  ';
+  pwg_query($q);
+  $q = '
+        INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+        VALUES
+        ("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
+  pwg_query($q);
 
-    
-	    $q = 'CREATE TABLE ' . $prefixeTable . 'mp_playlist (
-id SMALLINT NOT NULL AUTO_INCREMENT ,
-type VARCHAR( 50 ) NOT NULL ,
-url VARCHAR( 255 ) NOT NULL ,
-texte TINYTEXT NOT NULL ,
-PRIMARY KEY ( id )
-);
-';
-    pwg_query($q);
-    $q = 'CREATE TABLE ' . $prefixeTable . 'mp_music (
-id TINYINT NOT NULL AUTO_INCREMENT ,
-pl_id TINYINT NOT NULL ,
-rang TINYINT NOT NULL ,
-url VARCHAR( 255 ) NOT NULL ,
-nom VARCHAR( 255 ) NOT NULL ,
-PRIMARY KEY ( id )
-);
-';
-    pwg_query($q);
-
-	/*    $q = 'CREATE TABLE ' . $prefixeTable . 'mp_playlist (
-id TINYINT NOT NULL AUTO_INCREMENT ,
-url VARCHAR( 255 ) NOT NULL ,
-texte TINYTEXT NOT NULL ,
-music MEDIUMTEXT NOT NULL ,
-PRIMARY KEY ( id )
-);
-';
-$q = 'CREATE TABLE ' . $prefixeTable . 'mp_config_save (
-id TINYINT NOT NULL AUTO_INCREMENT ,
-type VARCHAR( 255 ) NOT NULL ,
-config TINYTEXT NOT NULL ,
-PRIMARY KEY ( id )
-);
-';*/
-
-    $q = '
-INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
-    pwg_query($q);
-
-    $q = '
-INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
-    pwg_query($q);
+  $q = '
+      INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+      VALUES
+      ("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+  pwg_query($q);
 }
 
@@ -59,114 +40,114 @@
 function plugin_activate()
 {
-    global $prefixeTable;
+  global $prefixeTable;
 
 ///[ update from 1.2 ]
-    $q = pwg_query('SHOW COLUMNS FROM '.$prefixeTable.'mp_playlist');
-    $champ = array();
-	while ($rep = mysql_fetch_row($q))
-	{
-	array_push($champ, $rep[0]);
-	}
+  $q = pwg_query('SHOW COLUMNS FROM '.$prefixeTable.'mp_playlist');
+  $champ = array();
+  while ($rep = mysql_fetch_row($q))
+  {
+    array_push($champ, $rep[0]);
+  }
 
-    if (!in_array('type', $champ)) {
-        pwg_query('ALTER TABLE '.$prefixeTable.'mp_playlist ADD type VARCHAR( 50 ) NOT NULL AFTER id ');
+  if (!in_array('type', $champ)) {
+    pwg_query('ALTER TABLE '.$prefixeTable.'mp_playlist ADD type VARCHAR( 50 ) NOT NULL AFTER id ');
+  }
+//ALTER TABLE `phpwebgallery_mp_playlist` ADD `type` VARCHAR( 50 ) NOT NULL AFTER `id` ;
+  $query = '
+          SELECT COUNT(*) AS result FROM '.$prefixeTable.'mp_playlist
+          WHERE type=""
+  ;';
+  $data_table = mysql_fetch_array(pwg_query($query));
+  $exist = $data_table['result'];
+  if ( $exist != 0 )
+  {
+    $query = '
+            SELECT id FROM '.$prefixeTable.'mp_playlist
+            WHERE type=""
+    ;';
+    $result = pwg_query($query);
+    while ($data = mysql_fetch_assoc($result))
+    {
+     $query = '
+     UPDATE '.$prefixeTable.'mp_playlist
+     SET type="local"
+     WHERE id="'.$data['id'].'"
+     LIMIT 1';
+     pwg_query($query);
     }
-//ALTER TABLE `phpwebgallery_mp_playlist` ADD `type` VARCHAR( 50 ) NOT NULL AFTER `id` ;
-   $query = '
-SELECT COUNT(*) AS result FROM '.$prefixeTable.'mp_playlist
-  WHERE type=""
-;';
-   $data_table = mysql_fetch_array(pwg_query($query));
-   $exist = $data_table['result'];
-   if ( $exist != 0 )
-   {
-     $query = '
-SELECT id FROM '.$prefixeTable.'mp_playlist
-  WHERE type=""
-;';
-     $result = pwg_query($query);
-     while ($data = mysql_fetch_assoc($result))
-     {
-      $query = '
-      UPDATE '.$prefixeTable.'mp_playlist
-      SET type="local"
-      WHERE id="'.$data['id'].'"
-      LIMIT 1';
-      pwg_query($query);
-     }
-   }
+  }
 ///[\]
 
-   $query = '
+ $query = '
 SELECT COUNT(*) AS result FROM '.CONFIG_TABLE.'
-  WHERE param IN (\'mp_lecteur\')
+WHERE param IN (\'mp_lecteur\')
 ;';
-   $data_table = mysql_fetch_array(pwg_query($query));
-   $exist = $data_table['result'];
-   if ( $exist == 0 )
-   {
-    $q = '
+ $data_table = mysql_fetch_array(pwg_query($query));
+ $exist = $data_table['result'];
+ if ( $exist == 0 )
+ {
+  $q = '
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
-    pwg_query($q);
-   } 
-   else {
-      $query = '
+VALUES
+("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
+  pwg_query($q);
+ } 
+ else {
+    $query = '
 SELECT value FROM '.CONFIG_TABLE.'
-  WHERE param IN (\'mp_lecteur\')
+WHERE param IN (\'mp_lecteur\')
 ;';
-   $data_conf = mysql_fetch_array(pwg_query($query));
-   $conf=explode(',', $data_conf['value']);
-   $nbr=count($conf);
-   
-     if ($nbr!=11 or $conf[9]=='lecteur.css')// pour update depuis 2.1.0
-     {
+ $data_conf = mysql_fetch_array(pwg_query($query));
+ $conf=explode(',', $data_conf['value']);
+ $nbr=count($conf);
+ 
+    if ($nbr!=11 or $conf[9]=='lecteur.css')// pour update depuis 2.1.0
+    {
       pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param IN (\'mp_lecteur\')');
       pwg_query($q);
-	  $q = '
-INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
+      $q = '
+        INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+        VALUES
+        ("mp_lecteur" , "148,300,128,true,128,false,list,0,true,./template/style/default.conf.php,true" , "Lecteur config : haut tt, larg tt, haut pl, miniature, larg min, shuffle, repeat, autostart, autoscroll, style, style pour chaque thème");';
       pwg_query($q);
-     }
    }
-   
-   
-   $query = '
-SELECT COUNT(*) AS result FROM '.CONFIG_TABLE.'
-  WHERE param IN (\'mp_plugin\')
-;';
-   $data_table = mysql_fetch_array(pwg_query($query));
-   $exist = $data_table['result'];
-   if ( $exist == 0 )
-   {
+ }
+ 
+ 
+$query = '
+          SELECT COUNT(*) AS result FROM '.CONFIG_TABLE.'
+          WHERE param IN (\'mp_plugin\')
+          ;';
+$data_table = mysql_fetch_array(pwg_query($query));
+$exist = $data_table['result'];
+  if ( $exist == 0 )
+  {
     $q = '
-INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+    INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+    VALUES
+    ("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
     pwg_query($q);
   } 
-   else {
-      $query = '
-SELECT value FROM '.CONFIG_TABLE.'
-  WHERE param IN (\'mp_plugin\')
-;';
-   $data_conf = mysql_fetch_array(pwg_query($query));
-   $conf=explode(',', $data_conf['value']);
-   $nbr=count($conf);
-   
-     if ($nbr!=5)
-     {
+  else {
+    $query = '
+    SELECT value FROM '.CONFIG_TABLE.'
+    WHERE param IN (\'mp_plugin\')
+    ;';
+    $data_conf = mysql_fetch_array(pwg_query($query));
+    $conf=explode(',', $data_conf['value']);
+    $nbr=count($conf);
+    
+    if ($nbr!=5)
+    {
       pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param IN (\'mp_plugin\')');
       pwg_query($q);
       $q = '
-INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-	VALUES
-	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+      INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+      VALUES
+      ("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
       pwg_query($q);
-     }
-   }
-	
+    }
+  }
+  
 }//fin active
 
@@ -176,6 +157,6 @@
 function plugin_uninstall()
 {
-    global $prefixeTable;
-
+  global $prefixeTable;
+  
   $q = 'DROP TABLE ' . $prefixeTable . 'mp_playlist;';
   pwg_query($q);