Index: /extensions/stripped/language/cs_CZ/theme.lang.php
===================================================================
--- /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 12584)
+++ /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 12585)
@@ -2,36 +2,43 @@
 
 $lang['Show/hide menu'] = 'Zobrazit/skrýt menu';
-$lang['Description'] = 'Popis';
 $lang['Information'] = 'Informace';
 $lang['GMap'] = 'Mapa';
 
 $lang['Interface options']='Nabídka rozhraní';
+$lang['Interface style']='Styl rozhraní';
 $lang['Hide menu by default on category page']='Skrýt menu na stránce kategorií';
 $lang['Animate menu']='Animované menu';
-$lang['Animate tabs on picture page']='Animované tabulky na stránce fotografie';
-$lang['Replace all icons by ALT text']='Přepsat všechny ikonky ALT textem';
 $lang['Force text to lowercase']='Vnutit textu malá písmena';
+$lang['Display frame around thumbnails']='Zobrazení rámečku okolo náhledu';
 $lang['Show thumbnail caption']='Zobrazit popis náhledu';
+
 $lang['Picture page options']='Nabídka na stránce fotografie';
 $lang['Show image title on top of the page (after browse path)']='Zobrazit název fotografie na horní části stránky (za vyhledávací cestou)';
-$lang['Show description instead of title below image']='Zobrazit pod fotografií popis místo názvu';
-$lang['Use arrows instead of navigation thumbnails']='Navigace pomocí šipek místo náhledů';
-$lang['Show Information tab only to admins']='Zobrazit informační tabulku jen pro administrátory';
+$lang['Display frame around image']='Zobrazení rámečku okolo fotografie';
+$lang['Use navigation arrows on picture']='Použít navigační šipky v obrázku';
+$lang['Use navigation arrows outside picture']='Použít navigační šipky mimo obrázek';
+$lang['Property to display below picture']='Vlastnost zobrazená pod obrázkem';
+$lang['Title']='Název';
+$lang['Description'] = 'Popis';
+$lang['HD picture default display']='Výchozí zobrazení HD fotografie';
+$lang['fit to screen']='přizpůsobit obrazovce';
+$lang['full size']='plná velikost';
+$lang['Default tab to be displayed']='Výchozí záložka, která bude zobrazena';
+$lang['Last displayed']='Poslední zobrazení';
+$lang['Metadata']='Metadata';
+$lang['Animate tabs on picture page']='Animované tabulky na stránce fotografie';
+$lang['Show Information tab only to admins']='Zobrazit tabulku s informacemi jen pro administrátory';
+
 $lang['Image autosize options']='Nabídka automatické velikosti fotografie';
 $lang['Resize image to fit window']='Změna velikosti fotografie podle velikosti okna';
 $lang['Include title after resize']='Zahrnout i název po změně velikosti';
-$lang['Additional bottom margin after resize']='Volitelné tlačítko okraje po změně velikosti';
-$lang['Minimum image height after resize']='Minimální výška fotky po změně velikosti';
-$lang['stripped Configuration updated']='Konfigurace tématu Stripped aktualizována';
-$lang['Default tab to be displayed']='Výchozí záložka, která bude zobrazena';
-$lang['Last displayed']='Poslední';
-$lang['Metadata']='Metadata';
+$lang['Additional bottom margin after resize']='Dodatečný dolní okraj po změně velikosti';
+$lang['Minimum image height after resize']='Minimální výška fotografie po změně velikosti';
 
-$lang['HD picture default display']='Výchozí zobrazení HD obrázků';
-$lang['fit to screen']='přizpůsobit obrazovce';
-$lang['full size']='plná velikost';
-$lang['Image preloading options']='Možnosti načítání obrázku';
-$lang['Activate image preloading']='Aktivace načítání obrázku';
-$lang['On picture page, number of next images to preload']='Na stránce s obrázkem, počet dalších obrázků pro načítání';
-$lang['Preload images on thumbnails page']='Načítání obrázků na stránce s náhledy';
+$lang['Image preloading options']='Možnosti načítání fotografií';
+$lang['Activate image preloading']='Aktivace načítání fotografií';
+$lang['On picture page, number of next images to preload']='Na stránce s obrázkem, počet dalších fotografií pro načítání';
+$lang['Preload images on thumbnails page']='Načítání fotografií na stránce s náhledy';
+
+$lang['stripped Configuration updated']='Konfigurace stripped aktualizována';
 ?>