Index: extensions/gally/gally-default/js/gallyjs-tcp.min.js
===================================================================
--- extensions/gally/gally-default/js/gallyjs-tcp.min.js	(revision 10736)
+++ extensions/gally/gally-default/js/gallyjs-tcp.min.js	(revision 12592)
@@ -1,43 +1,2 @@
-/* file: gally-tcp.js - v1.4.0 | minified on 2011/05/01 with http://jscompress.com/ */
-var gallyCP=null;$(document).ready(function()
-{gallyCP=new GallyCP();});function GallyCP()
-{var menuState,initContentDesc=function()
-{if(($("#additional_infoTOP").length+$("#additional_infoBOTTOM").length)<2)
-{return(false);}
-txt=$("#additional_infoLEFT").attr("innerHTML");if(txt==null){txt="";}
-tmp=txt.indexOf("<!--up-down-->");if(tmp>-1)
-{$("#additional_infoTOP").attr("innerHTML",txt.slice(0,tmp));txt=txt.substr(tmp+14);}
-else
-{$(".additional_info").each(function(i)
-{if(this.id=="")
-{$("#additional_infoTOP").attr("innerHTML",$("#additional_infoTOP").attr("innerHTML")+this.innerHTML);this.parentNode.removeChild(this);}});}
-tmp=txt.indexOf("<!--right-left-->");if(tmp>-1)
-{$("#additional_infoBOTTOM").attr("innerHTML",txt.slice(0,tmp));txt=txt.substr(tmp+17);}
-$("#additional_infoLEFT").attr("innerHTML",txt);if((txt.replace(/\s*/im,"")=="")&&($("#additional_infoID").length>0))
-{$("#additional_infoID").get(0).parentNode.removeChild($("#additional_infoID").get(0));}
-$(".additional_info").css("visibility","visible");if($("#additional_infoBOTTOM").attr("innerHTML").replace(/\s*/im,"")=="")
-{$("#additional_infoBOTTOM").get(0).parentNode.removeChild($("#additional_infoBOTTOM").get(0));}
-else
-{$("#additional_infoBOTTOM").css("visibility","visible");}
-if($("#additional_infoTOP").attr("innerHTML").replace(/\s*/im,"")=="")
-{$("#additional_infoTOP").get(0).parentNode.removeChild($("#additional_infoTOP").get(0));}
-else
-{$("#additional_infoTOP").css("visibility","visible");}},initMenu=function()
-{if(options.menuAnimated!="noswitch")
-{$("#menubar").css({visibility:"hidden",top:$("#titrePageID").attr("offsetTop")+$("#titrePageID").attr("offsetHeight")-2+'px'});switchmenu('n');switch(options.menuWidth)
-{case"auto":$("#menubar").css("width","auto");maxwidth=options.menuMaxWidth;regexp=/[1234567]\./i;if(jQuery.browser.msie&&jQuery.browser.version.match(regexp))
-{maxwidth=options.menuMSIEMaxWidth;}
-if(maxwidth>0){$("#menubar").css("max-width",maxwidth+"px");}
-break;case"info":$("#menubar").css("width",$(".additionnal_info").css("width"));break;default:$("#menubar").css("width",options.menuWidth+"px");}}
-else
-{$("#menubar dl dd").each(function(index,elem)
-{$(this).css("min-width",$(this.parentNode).attr('offsetWidth'));if(jQuery.browser.msie)
-{$(this).css("max-width",options.menuMSIEMaxWidth+"px");}});}},switchmenu=function(force,iconpath)
-{if(force=='')
-{(!menuState)?force='y':force='n';}
-if(options.menuAnimated=="fade")
-{switch(force)
-{case'y':$("#menubar").css({visibility:"visible",height:"auto"}).fadeTo(options.animateDelay,1);$("#icon_menu").attr("className","button2");menuState=true;break;default:$("#menubar").fadeTo(options.animateDelay,0,function(){$("#menubar").css({visibility:"hidden",height:"0px"});});$("#icon_menu").attr("className","button");menuState=false;}}
-else
-{switch(force)
-{case'y':$("#menubar").css({visibility:"visible",height:"auto"});$("#icon_menu").attr("className","button2");menuState=true;break;default:$("#menubar").css({visibility:"hidden",height:"0px"});$("#icon_menu").attr("className","button");menuState=false;}}};this.switchmenu=function(force,iconpath){switchmenu(force,iconpath);};initMenu();initContentDesc();}
+/* file: gally-tcp.js - v1.4.4 | minified on 2011/11/10 with http://jscompress.com/ */
+function GallyCP(){var a,b=function(){var a="";if($("#additional_infoTOP").length+$("#additional_infoBOTTOM").length<2){return false}txt=$("#additional_infoLEFT").prop("innerHTML");if(txt==null){txt=""}tmp=txt.indexOf("<!--up-down-->");if(tmp>-1){$("#additional_infoTOP").prop("innerHTML",txt.slice(0,tmp));txt=txt.substr(tmp+14)}else{$(".additional_info").each(function(a){if(this.id==""){$("#additional_infoTOP").prop("innerHTML",$("#additional_infoTOP").prop("innerHTML")+this.innerHTML);this.parentNode.removeChild(this)}})}tmp=txt.indexOf("<!--right-left-->");if(tmp>-1){$("#additional_infoBOTTOM").prop("innerHTML",txt.slice(0,tmp));txt=txt.substr(tmp+17)}$("#additional_infoLEFT").prop("innerHTML",txt);if(txt.replace(/\s*/im,"")==""&&$("#additional_infoID").length>0){$("#additional_infoID").get(0).parentNode.removeChild($("#additional_infoID").get(0))}$(".additional_info").css("visibility","visible");a=$("#additional_infoBOTTOM").prop("innerHTML");if(a==null)a="";if(a.replace(/\s*/im,"")==""){$("#additional_infoBOTTOM").get(0).parentNode.removeChild($("#additional_infoBOTTOM").get(0))}else{$("#additional_infoBOTTOM").css("visibility","visible")}a=$("#additional_infoTOP").prop("innerHTML");if(a==null)a="";if(a.replace(/\s*/im,"")==""){$("#additional_infoTOP").get(0).parentNode.removeChild($("#additional_infoTOP").get(0))}else{$("#additional_infoTOP").css("visibility","visible")}},c=function(){if(options.menuAnimated!="noswitch"){$("#menubar").css({visibility:"hidden",top:$("#titrePageID").prop("offsetTop")+$("#titrePageID").prop("offsetHeight")-2+"px"});d("n");switch(options.menuWidth){case"auto":$("#menubar").css("width","auto");maxwidth=options.menuMaxWidth;regexp=/[1234567]\./i;if(jQuery.browser.msie&&jQuery.browser.version.match(regexp)){maxwidth=options.menuMSIEMaxWidth}if(maxwidth>0){$("#menubar").css("max-width",maxwidth+"px")}break;case"info":$("#menubar").css("width",$(".additionnal_info").css("width"));break;default:$("#menubar").css("width",options.menuWidth+"px")}}else{$("#menubar dl dd").each(function(a,b){$(this).css("min-width",$(this.parentNode).prop("offsetWidth"));if(jQuery.browser.msie){$(this).css("max-width",options.menuMSIEMaxWidth+"px")}})}},d=function(b,c){if(b==""){!a?b="y":b="n"}if(options.menuAnimated=="fade"){switch(b){case"y":$("#menubar").css({visibility:"visible",height:"auto"}).fadeTo(options.animateDelay,1);$("#icon_menu").toggleClass("button button2");a=true;break;default:$("#menubar").fadeTo(options.animateDelay,0,function(){$("#menubar").css({visibility:"hidden",height:"0px"})});$("#icon_menu").toggleClass("button button2");a=false}}else{switch(b){case"y":$("#menubar").css({visibility:"visible",height:"auto"});$("#icon_menu").toggleClass("button button2");a=true;break;default:$("#menubar").css({visibility:"hidden",height:"0px"});$("#icon_menu").toggleClass("button button2");a=false}}};this.switchmenu=function(a,b){d(a,b)};c();b()}var gallyCP=null;$(document).ready(function(){gallyCP=new GallyCP})