Index: /extensions/gally/gally-graphite/css/theme.css
===================================================================
--- /extensions/gally/gally-graphite/css/theme.css	(revision 12592)
+++ /extensions/gally/gally-graphite/css/theme.css	(revision 12593)
@@ -38,5 +38,5 @@
 div.errors ul, div.infos ul {
   text-align:justify;
-  padding-left:0px;
+  padding-left:16px;
 }
 
@@ -66,4 +66,5 @@
   background-color:#333333;
   color:#999999;
+  overflow-x:auto;
 }
 
@@ -77,90 +78,114 @@
 
 a.button, a.navButton {
-  display:block;
   display:inline-block;
   /*display:table-cell;*/
-  width:28px;
-  height:28px;
-}
+  width:22px;
+  height:22px;
+}
+
+
+a.button, a.navButton, span.button, #icon_menu {
+  background-image:url(./../icon/buttons.png);
+  background-repeat:no-repeat;
+}
+
+/* menu */
+#icon_menu.button, #icon_menu.button2 {
+  width:26px;
+  height:22px;
+  display:inline-block;
+}
+#icon_menu.button {
+  background-position:0px -66px;
+}
+#icon_menu.button:hover {
+  background-position:0px -88px;
+}
+
+#icon_menu.button2 {
+  background-position:-44px -66px;
+}
+#icon_menu.button2:hover {
+  background-position:-44px -88px;
+}
+
+
+#thePicturePage #icon_menu.button {
+  width:22px;
+  height:20px;
+  background-position:-1078px 0px;
+}
+#thePicturePage #icon_menu.button:hover {
+  background-position:-1078px -22px;
+}
+
+#thePicturePage #icon_menu.button2 {
+  width:22px;
+  height:20px;
+  background-position:-1100px 0px;
+}
+#thePicturePage #icon_menu.button2:hover {
+  background-position:-1100px -22px;
+}
+
+
+
 
 /* index.tpl */
-#icon_menu {
-  background:url(./../icon/menu-show.png);
-}
-#icon_menu:hover {
-  background:url(./../icon/menu-show_h.png);
-}
-#icon_menu.button2 {
-  display:block;
-  display:inline-block;
-  /*display:table-cell;*/
-  width:28px;
-  height:28px;
-  background:url(./../icon/menu-hide.png);
-}
-#icon_menu.button2:hover {
-  display:block;
-  display:inline-block;
-  /*display:table-cell;*/
-  width:28px;
-  height:28px;
-  background:url(./../icon/menu-hide_h.png);
-}
-
 
 #icon_caddie {
-  background:url(./../icon/caddie_add.png);
+  background-position:0px 0;
 }
 #icon_caddie:hover {
-  background:url(./../icon/caddie_add_h.png);
+  background-position:0px -22px;
 }
 
 #icon_category_edit {
-  background:url(./../icon/category_edit.png);
+  background-position:-66px 0;
 }
 #icon_category_edit:hover {
-  background:url(./../icon/category_edit_h.png);
+  background-position:-66px -22px;
 }
 
 #icon_search_rules {
-  background:url(./../icon/search_rules.png);
+  background-position:-396px 0;
 }
 #icon_search_rules:hover {
-  background:url(./../icon/search_rules_h.png);
+  background-position:-396px -22px;
 }
 
 #icon_start_slideshow {
-  background:url(./../icon/start_slideshow.png);
+  background-position:-440px 0;
 }
 #icon_start_slideshow:hover {
-  background:url(./../icon/start_slideshow_h.png);
+  background-position:-440px -22px;
 }
 
 #icon_flat {
-  background:url(./../icon/flat.png);
+  background-position:-198px 0;
 }
 #icon_flat:hover {
-  background:url(./../icon/flat_h.png);
+  background-position:-198px -22px;
 }
 
 #icon_normal_mode {
-  background:url(./../icon/normal_mode.png);
+  background-position:-308px 0;
 }
 #icon_normal_mode:hover {
-  background:url(./../icon/normal_mode_h.png);
+  background-position:-308px -22px;
 }
 
 #icon_calendar {
-  background:url(./../icon/calendar.png);
+  background-position:-22px 0;
 }
 #icon_calendar:hover {
-  background:url(./../icon/calendar_h.png);
+  background-position:-22px -22px;
 }
 
 #icon_calendar_created {
-  background:url(./../icon/calendar_created.png);
+  background-position:-44px 0;
 }
 #icon_calendar_created:hover {
-  background:url(./../icon/calendar_created_h.png);
+  background-position:-44px -22px;
 }
 
@@ -176,8 +201,8 @@
 /* upload.tpl */
 #icon_home {
-  background:url(./../icon/home.png);
+  background-position:-242px 0;
 }
 #icon_home:hover {
-  background:url(./../icon/home_h.png);
+  background-position:-242px -22px;
 }
 
@@ -185,201 +210,219 @@
 /* menubar_identification.tpl */
 #icon_lost_password {
-  background:url(./../icon/lost_password.png);
+  background-position:-264px 0;
 }
 #icon_lost_password:hover {
-  background:url(./../icon/lost_password_h.png);
+  background-position:-264px -22px;
 }
 
 #icon_register, #icon_register2, #icon_register3 {
-  background:url(./../icon/register.png);
+  background-position:-330px 0;
 }
 #icon_register:hover, #icon_register2:hover, #icon_register3:hover {
-  background:url(./../icon/register_h.png);
+  background-position:-330px -22px;
 }
 
 #icon_lost_password, #icon_lost_password2, #icon_lost_password3 {
-  background:url(./../icon/lost_password.png);
+  background-position:-264px 0;
 }
 #icon_lost_password:hover, #icon_lost_password2:hover, #icon_lost_password3:hover {
-  background:url(./../icon/lost_password_h.png);
+  background-position:-264px -22px;
 }
 
 /* menubar_categories.tpl */
 #icon_start_filter {
-  background:url(./../icon/start_filter.png);
+  background-position:-1012px 0px;
+  height: 22px;
+  margin-top: 2px;
+  width: 22px;
 }
 #icon_start_filter:hover {
-  background:url(./../icon/start_filter_h.png);
+  background-position:-1012px -22px;
 }
 
 #icon_stop_filter {
-  background:url(./../icon/stop_filter.png);
+  background-position:-1034px 0px;
+  width:16px;
+  height:16px;
 }
 #icon_stop_filter:hover {
-  background:url(./../icon/stop_filter_h.png);
+  background-position:-1034px -22px;
 }
 
 /* picture.tpl */
 #icon_high_res {
-  background:url(./../icon/display_high_res.png);
+  background-position:-176px 0;
 }
 #icon_high_res:hover {
-  background:url(./../icon/display_high_res_h.png);
-}
-
-#icon_start_slideshow {
-  background:url(./../icon/start_slideshow.png);
-}
-#icon_start_slideshow:hover {
-  background:url(./../icon/start_slideshow_h.png);
+  background-position:-176px -22px;
 }
 
 #icon_stop_slideshow {
-  background:url(./../icon/stop_slideshow.png);
+  background-position:-418px 0;
 }
 #icon_stop_slideshow:hover {
-  background:url(./../icon/stop_slideshow_h.png);
+  background-position:-418px -22px;
 }
 
 #icon_metadata {
-  background:url(./../icon/metadata.png);
+  background-position:-286px 0;
 }
 #icon_metadata:hover {
-  background:url(./../icon/metadata_h.png);
+  background-position:-286px -22px;
 }
 
 #icon_save {
-  background:url(./../icon/save.png);
+  background-position:-374px 0;
 }
 #icon_save:hover {
-  background:url(./../icon/save_h.png);
+  background-position:-374px -22px;
 }
 
 #icon_favorite {
-  background:url(./../icon/favorite.png);
+  background-position:-132px 0;
 }
 #icon_favorite:hover {
-  background:url(./../icon/favorite_h.png);
+  background-position:-132px -22px;
 }
 
 #icon_del_favorite {
-  background:url(./../icon/del_favorite.png);
+  background-position:-154px 0;
 }
 #icon_del_favorite:hover {
-  background:url(./../icon/del_favorite_h.png);
+  background-position:-154px -22px;
 }
 
 #icon_delall_favorite {
-  background:url(./../icon/del_favorite.png);
+  background-position:-154px 0;
 }
 #icon_delall_favorite:hover {
-  background:url(./../icon/del_favorite_h.png);
+  background-position:-154px -22px;
 }
 
 #icon_representative {
-  background:url(./../icon/representative.png);
+  background-position:-352px 0;
 }
 #icon_representative:hover {
-  background:url(./../icon/representative_h.png);
+  background-position:-352px -22px;
 }
 
 #icon_preferences {
-  background:url(./../icon/preferences.png);
+  background-position:-66px 0;
 }
 #icon_preferences:hover {
-  background:url(./../icon/preferences_h.png);
+  background-position:-66px -22px;
 }
 
 /* tags.tpl */
 #icon_cloud {
-  background:url(./../icon/tag_cloud.png);
+  background-position:-462px 0;
 }
 #icon_cloud:hover {
-  background:url(./../icon/tag_cloud_h.png);
+  background-position:-462px -22px;
 }
 
 #icon_tag_letters {
-  background:url(./../icon/tag_letters.png);
+  background-position:-484px 0;
 }
 #icon_tag_letters:hover {
-  background:url(./../icon/tag_letters_h.png);
+  background-position:-484px -22px;
 }
 
 /* picture_nav_buttons.tpl */
 #icon_last {
-  background:url(./../icon/last.png);
+  background-position:-704px 0;
 }
 #icon_last:hover {
-  background:url(./../icon/last_h.png);
-}
-
+  background-position:-704px -22px;
+}
+#icon_last_unactive {
+  background-position:-704px -44px;
+  cursor:default;
+}
 #icon_right {
-  background:url(./../icon/right.png);
+  background-position:-748px 0;
 }
 #icon_right:hover {
-  background:url(./../icon/right_h.png);
-}
-
+  background-position:-748px -22px;
+}
+#icon_right_unactive {
+  background-position:-748px -44px;
+  cursor:default;
+}
 #icon_play {
-  background:url(./../icon/play.png);
+  background-position:-792px 0;
 }
 #icon_play:hover {
-  background:url(./../icon/play_h.png);
+  background-position:-792px -22px;
 }
 
 #icon_pause {
-  background:url(./../icon/pause.png);
+  background-position:-814px 0;
 }
 #icon_pause:hover {
-  background:url(./../icon/pause_h.png);
+  background-position:-814px -22px;
 }
 
 #icon_up {
-  background:url(./../icon/up.png);
+  background-position:-770px 0;
 }
 #icon_up:hover {
-  background:url(./../icon/up_h.png);
+  background-position:-770px -22px;
 }
 
 #icon_left {
-  background:url(./../icon/left.png);
+  background-position:-726px 0;
 }
 #icon_left:hover {
-  background:url(./../icon/left_h.png);
-}
-
+  background-position:-726px -22px;
+}
+#icon_left_unactive {
+  background-position:-726px -44px;
+  cursor:default;
+}
 #icon_first {
-  background:url(./../icon/first.png);
+  background-position:-682px 0;
 }
 #icon_first:hover {
-  background:url(./../icon/first_h.png);
+  background-position:-682px -22px;
+}
+#icon_first_unactive {
+  background-position:-682px -44px;
+  cursor:default;
 }
 
 #icon_start_repeat {
-  background:url(./../icon/start_repeat.png);
+  background-position:-858px 0;
 }
 #icon_start_repeat:hover {
-  background:url(./../icon/start_repeat_h.png);
+  background-position:-858px -22px;
 }
 
 #icon_stop_repeat {
-  background:url(./../icon/stop_repeat.png);
+  background-position:-836px 0;
 }
 #icon_stop_repeat:hover {
-  background:url(./../icon/stop_repeat_h.png);
+  background-position:-836px -22px;
 }
 
 #icon_dec_period {
-  background:url(./../icon/dec_period.png);
+  background-position:-880px 0;
 }
 #icon_dec_period:hover {
-  background:url(./../icon/dec_period_h.png);
-}
-
+  background-position:-880px -22px;
+}
+#icon_dec_period_unactive {
+  background-position:-880px -44px;
+  cursor:default;
+}
 #icon_inc_period {
-  background:url(./../icon/inc_period.png);
+  background-position:-902px 0;
 }
 #icon_inc_period:hover {
-  background:url(./../icon/inc_period_h.png);
+  background-position:-902px -22px;
+}
+#icon_inc_period_unactive {
+  background-position:-902px -44px;
+  cursor:default;
 }
 
@@ -387,17 +430,65 @@
 /* search_rules.tpl */
 #icon_exit {
-  background:url(./../icon/exit.png);
+  background-position:-660px 0;
 }
 #icon_exit:hover {
-  background:url(./../icon/exit_h.png);
+  background-position:-660px -22px;
 }
 
 /* search.tpl */
 #icon_help {
-  background:url(./../icon/help.png);
+  background-position:-220px 0;
 }
 #icon_help:hover {
-  background:url(./../icon/help_h.png);
-}
+  background-position:-220px -22px;
+}
+
+/* pseudo icons */
+span.id_recent {
+  background-position:-550px 0;
+  height: 11px;
+  width: 11px;
+  margin: -3px -3px 2px 2px;
+}
+span.id_recent_cat {
+  background-position:-550px 0;
+  height: 11px;
+  width: 11px;
+  position: relative;
+  top: -5px;
+  left:-6px;
+}
+span.id_recent_cat_by_child {
+  background-position:-572px 0;
+  height: 16px;
+  width: 18px;
+  position: relative;
+  left:-6px;
+}
+span.id_delete {
+  background-position:-594px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_delete:hover {
+  background-position:-594px -22px;
+}
+span.id_edit {
+  background-position:-616px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_edit:hover {
+  background-position:-616px -22px;
+}
+span.id_validate {
+  background-position:-638px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_validate:hover {
+  background-position:-638px -22px;
+}
+
 
 
@@ -409,4 +500,13 @@
 .titrePage, .navigationBar, #imageHeaderBar {
   background-color:#606060;
+}
+
+ul.categoryActions li.selector {
+  top: -3px;
+}
+
+
+#menuswitcher {
+  top: 4px;
 }
 
@@ -441,4 +541,8 @@
   page content : categories thumbnails
 */
+ul.thumbnailCategories {
+  padding:0 0 0 2%;
+}
+
 .thumbnailCategory {
   border-bottom: 3px #606060 solid;
@@ -468,4 +572,8 @@
   top:-2px;
   position:relative;
+}
+
+div ul.thumbnails {
+  margin: 16px 0 0;
 }
 
@@ -635,4 +743,14 @@
   picture page
 */
+#thePicturePage #titrePageID {
+  float: left;
+  height: 20px;
+  padding:0 0 0 3px;
+}
+#thePicturePage #menuswitcher {
+  left:0;
+  top:0;
+  height: 20px;
+}
 
 #theImgHighBg {
@@ -792,5 +910,5 @@
 #rateForm input[type="button"].rateButtonStarFull:focus,
 #rateForm input[type="submit"].rateButtonStarFull  {
-  background: url('./../icon/rating-stars.png') no-repeat scroll; background-position:-16px center; width:16px;
+  background: url('./../icon/buttons.png') no-repeat scroll; background-position:-111px 1px; width:16px; height:16px;
 }
 
@@ -798,5 +916,5 @@
 #rateForm input[type="button"].rateButtonStarEmpty:focus,
 #rateForm input[type="submit"].rateButtonStarEmpty {
-  background: url('./../icon/rating-stars.png') no-repeat scroll; background-position:0 center; width:16px;
+  background: url('./../icon/buttons.png') no-repeat scroll; background-position:-89px 1px; width:16px; height:16px;
 }
 
@@ -938,5 +1056,14 @@
   top:-3px;
 }
-
+span.add_tag {
+  background:transparent url('./../icon/buttons.png') no-repeat scroll;
+  background-position:-528px 0px;
+  width:7px;
+  height:7px;
+  display:inline-block;
+}
+span.add_tag:hover {
+  background-position:-528px -22px;
+}
 
 .mandatorystar {
@@ -960,15 +1087,26 @@
  vd language switch plugin
 */
-.menuf ul li a, .menuf ul li a:visited {
+div.content ul.categoryActions li.menuf ul li a,
+div.content ul.categoryActions li.menuf ul li a:visited {
   height:27px;
   line-height:27px;
-  margin-top:5px;
-}
-
-.menuf ul.flag-pan .flags:hover, .menuf a img.flags {
+  margin-top:2px;
+}
+
+div.content ul.categoryActions li.menuf ul li a,
+div.content ul.categoryActions li.menuf ul li.languageSwitchBoxTitle {
+  color:#999999;
+}
+div.content ul.categoryActions li.menuf ul li a:hover {
+  color:#f0f0f0;
+}
+
+
+div.content ul.categoryActions li.menuf ul.flag-pan .flags:hover,
+div.content ul.categoryActions li.menuf a img.flags {
   border:1px solid #606060;
 }
 
-.menuf ul.flag-pan .flags {
+div.content ul.categoryActions li.menuf ul.flag-pan .flags {
   border:1px solid #303030;
 }
Index: /extensions/gally/gally-graphite/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-graphite/themeconf.inc.php	(revision 12592)
+++ /extensions/gally/gally-graphite/themeconf.inc.php	(revision 12593)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Graphite
-Version: 1.3.5
+Version: 1.4.0
 Description: Grey theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=381