Index: /extensions/gally/gally-grum-dark-II/css/theme.css
===================================================================
--- /extensions/gally/gally-grum-dark-II/css/theme.css	(revision 12598)
+++ /extensions/gally/gally-grum-dark-II/css/theme.css	(revision 12599)
@@ -73,7 +73,5 @@
 }
 
-
 a.button, a.navButton {
-  display:block;
   display:inline-block;
   /*display:table-cell;*/
@@ -82,84 +80,107 @@
 }
 
-/* index.tpl */
-#icon_menu {
-  background:url(./../icon/menu-show.png);
-}
-#icon_menu:hover {
-  background:url(./../icon/menu-show_h.png);
-}
-
-#icon_menu.button2 {
-  display:block;
-  display:inline-block;
-  /*display:table-cell;*/
+a.button, a.navButton, span.button, #icon_menu {
+  background-image:url(./../icon/buttons.png);
+  background-repeat:no-repeat;
+}
+
+/* menu */
+#icon_menu.button, #icon_menu.button2 {
   width:28px;
   height:28px;
-  background:url(./../icon/menu-hide.png);
+  display:inline-block;
+}
+#icon_menu.button {
+  background-position:0px -84px;
+}
+#icon_menu.button:hover {
+  background-position:0px -112px;
+}
+
+#icon_menu.button2 {
+  background-position:-28px -84px;
 }
 #icon_menu.button2:hover {
-  display:block;
-  display:inline-block;
-  /*display:table-cell;*/
-  width:28px;
-  height:28px;
-  background:url(./../icon/menu-hide_h.png);
-}
-
+  background-position:-28px -112px;
+}
+
+
+#thePicturePage #icon_menu.button {
+  width:22px;
+  height:20px;
+  background-position:-1400px 0px;
+}
+#thePicturePage #icon_menu.button:hover {
+  background-position:-1400px -28px;
+}
+
+#thePicturePage #icon_menu.button2 {
+  width:22px;
+  height:20px;
+  background-position:-1372px 0px;
+}
+#thePicturePage #icon_menu.button2:hover {
+  background-position:-1372px -28px;
+}
+
+
+
+
+/* index.tpl */
 
 #icon_caddie {
-  background:url(./../icon/caddie_add.png);
+  background-position:0px 0;
 }
 #icon_caddie:hover {
-  background:url(./../icon/caddie_add_h.png);
+  background-position:0px -28px;
 }
 
 #icon_category_edit {
-  background:url(./../icon/category_edit.png);
+  background-position:-84px 0;
 }
 #icon_category_edit:hover {
-  background:url(./../icon/category_edit_h.png);
+  background-position:-84px -28px;
 }
 
 #icon_search_rules {
-  background:url(./../icon/search_rules.png);
+  background-position:-504px 0;
 }
 #icon_search_rules:hover {
-  background:url(./../icon/search_rules_h.png);
+  background-position:-504px -28px;
 }
 
 #icon_start_slideshow {
-  background:url(./../icon/start_slideshow.png);
+  background-position:-560px 0;
 }
 #icon_start_slideshow:hover {
-  background:url(./../icon/start_slideshow_h.png);
+  background-position:-560px -28px;
 }
 
 #icon_flat {
-  background:url(./../icon/flat.png);
+  background-position:-252px 0;
 }
 #icon_flat:hover {
-  background:url(./../icon/flat_h.png);
+  background-position:-252px -28px;
 }
 
 #icon_normal_mode {
-  background:url(./../icon/normal_mode.png);
+  background-position:-392px 0;
 }
 #icon_normal_mode:hover {
-  background:url(./../icon/normal_mode_h.png);
+  background-position:-392px -28px;
 }
 
 #icon_calendar {
-  background:url(./../icon/calendar.png);
+  background-position:-28px 0;
 }
 #icon_calendar:hover {
-  background:url(./../icon/calendar_h.png);
+  background-position:-28px -28px;
 }
 
 #icon_calendar_created {
-  background:url(./../icon/calendar_created.png);
+  background-position:-56px 0;
 }
 #icon_calendar_created:hover {
-  background:url(./../icon/calendar_created_h.png);
+  background-position:-56px -28px;
 }
 
@@ -175,8 +196,8 @@
 /* upload.tpl */
 #icon_home {
-  background:url(./../icon/home.png);
+  background-position:-308px 0;
 }
 #icon_home:hover {
-  background:url(./../icon/home_h.png);
+  background-position:-308px -28px;
 }
 
@@ -184,201 +205,217 @@
 /* menubar_identification.tpl */
 #icon_lost_password {
-  background:url(./../icon/lost_password.png);
+  background-position:-336px 0;
 }
 #icon_lost_password:hover {
-  background:url(./../icon/lost_password_h.png);
+  background-position:-336px -28px;
 }
 
 #icon_register, #icon_register2, #icon_register3 {
-  background:url(./../icon/register.png);
+  background-position:-420px 0;
 }
 #icon_register:hover, #icon_register2:hover, #icon_register3:hover {
-  background:url(./../icon/register_h.png);
+  background-position:-420px -28px;
 }
 
 #icon_lost_password, #icon_lost_password2, #icon_lost_password3 {
-  background:url(./../icon/lost_password.png);
+  background-position:-336px 0;
 }
 #icon_lost_password:hover, #icon_lost_password2:hover, #icon_lost_password3:hover {
-  background:url(./../icon/lost_password_h.png);
+  background-position:-336px -28px;
 }
 
 /* menubar_categories.tpl */
 #icon_start_filter {
-  background:url(./../icon/start_filter.png);
+  background-position:-1288px 0px;
+  height: 28px;
+  margin-top: 2px;
+  width: 28px;
 }
 #icon_start_filter:hover {
-  background:url(./../icon/start_filter_h.png);
+  background-position:-1288px -28px;
 }
 
 #icon_stop_filter {
-  background:url(./../icon/stop_filter.png);
+  background-position:-1316px 0px;
 }
 #icon_stop_filter:hover {
-  background:url(./../icon/stop_filter_h.png);
+  background-position:-1316px -28px;
 }
 
 /* picture.tpl */
 #icon_high_res {
-  background:url(./../icon/display_high_res.png);
+  background-position:-224px 0;
 }
 #icon_high_res:hover {
-  background:url(./../icon/display_high_res_h.png);
-}
-
-#icon_start_slideshow {
-  background:url(./../icon/start_slideshow.png);
-}
-#icon_start_slideshow:hover {
-  background:url(./../icon/start_slideshow_h.png);
+  background-position:-224px -28px;
 }
 
 #icon_stop_slideshow {
-  background:url(./../icon/stop_slideshow.png);
+  background-position:-532px 0;
 }
 #icon_stop_slideshow:hover {
-  background:url(./../icon/stop_slideshow_h.png);
+  background-position:-532px -28px;
 }
 
 #icon_metadata {
-  background:url(./../icon/metadata.png);
+  background-position:-364px 0;
 }
 #icon_metadata:hover {
-  background:url(./../icon/metadata_h.png);
+  background-position:-364px -28px;
 }
 
 #icon_save {
-  background:url(./../icon/save.png);
+  background-position:-476px 0;
 }
 #icon_save:hover {
-  background:url(./../icon/save_h.png);
+  background-position:-476px -28px;
 }
 
 #icon_favorite {
-  background:url(./../icon/favorite.png);
+  background-position:-168px 0;
 }
 #icon_favorite:hover {
-  background:url(./../icon/favorite_h.png);
+  background-position:-168px -28px;
 }
 
 #icon_del_favorite {
-  background:url(./../icon/del_favorite.png);
+  background-position:-196px 0;
 }
 #icon_del_favorite:hover {
-  background:url(./../icon/del_favorite_h.png);
+  background-position:-196px -28px;
 }
 
 #icon_delall_favorite {
-  background:url(./../../../icon/del_favorite.png);
+  background-position:-196px 0;
 }
 #icon_delall_favorite:hover {
-  background:url(./../../../icon/del_favorite_h.png);
+  background-position:-196px -28px;
 }
 
 #icon_representative {
-  background:url(./../icon/representative.png);
+  background-position:-448px 0;
 }
 #icon_representative:hover {
-  background:url(./../icon/representative_h.png);
+  background-position:-448px -28px;
 }
 
 #icon_preferences {
-  background:url(./../icon/preferences.png);
+  background-position:-1344px 0;
 }
 #icon_preferences:hover {
-  background:url(./../icon/preferences_h.png);
+  background-position:-1344px -28px;
 }
 
 /* tags.tpl */
 #icon_cloud {
-  background:url(./../icon/tag_cloud.png);
+  background-position:-588px 0;
 }
 #icon_cloud:hover {
-  background:url(./../icon/tag_cloud_h.png);
+  background-position:-588px -28px;
 }
 
 #icon_tag_letters {
-  background:url(./../icon/tag_letters.png);
+  background-position:-616px 0;
 }
 #icon_tag_letters:hover {
-  background:url(./../icon/tag_letters_h.png);
+  background-position:-616px -28px;
 }
 
 /* picture_nav_buttons.tpl */
 #icon_last {
-  background:url(./../icon/last.png);
+  background-position:-896px 0;
 }
 #icon_last:hover {
-  background:url(./../icon/last_h.png);
-}
-
+  background-position:-896px -28px;
+}
+#icon_last_unactive {
+  background-position:-896px -56px;
+  cursor:default;
+}
 #icon_right {
-  background:url(./../icon/right.png);
+  background-position:-952px 0;
 }
 #icon_right:hover {
-  background:url(./../icon/right_h.png);
-}
-
+  background-position:-952px -28px;
+}
+#icon_right_unactive {
+  background-position:-952px -56px;
+  cursor:default;
+}
 #icon_play {
-  background:url(./../icon/play.png);
+  background-position:-1008px 0;
 }
 #icon_play:hover {
-  background:url(./../icon/play_h.png);
+  background-position:-1008px -28px;
 }
 
 #icon_pause {
-  background:url(./../icon/pause.png);
+  background-position:-1036px 0;
 }
 #icon_pause:hover {
-  background:url(./../icon/pause_h.png);
+  background-position:-1036px -28px;
 }
 
 #icon_up {
-  background:url(./../icon/up.png);
+  background-position:-980px 0;
 }
 #icon_up:hover {
-  background:url(./../icon/up_h.png);
+  background-position:-980px -28px;
 }
 
 #icon_left {
-  background:url(./../icon/left.png);
+  background-position:-924px 0;
 }
 #icon_left:hover {
-  background:url(./../icon/left_h.png);
-}
-
+  background-position:-924px -28px;
+}
+#icon_left_unactive {
+  background-position:-924px -56px;
+  cursor:default;
+}
 #icon_first {
-  background:url(./../icon/first.png);
+  background-position:-868px 0;
 }
 #icon_first:hover {
-  background:url(./../icon/first_h.png);
+  background-position:-868px -28px;
+}
+#icon_first_unactive {
+  background-position:-868px -56px;
+  cursor:default;
 }
 
 #icon_start_repeat {
-  background:url(./../icon/start_repeat.png);
+  background-position:-1092px 0;
 }
 #icon_start_repeat:hover {
-  background:url(./../icon/start_repeat_h.png);
+  background-position:-1092px -28px;
 }
 
 #icon_stop_repeat {
-  background:url(./../icon/stop_repeat.png);
+  background-position:-1064px 0;
 }
 #icon_stop_repeat:hover {
-  background:url(./../icon/stop_repeat_h.png);
+  background-position:-1064px -28px;
 }
 
 #icon_dec_period {
-  background:url(./../icon/dec_period.png);
+  background-position:-1120px 0;
 }
 #icon_dec_period:hover {
-  background:url(./../icon/dec_period_h.png);
-}
-
+  background-position:-1120px -28px;
+}
+#icon_dec_period_unactive {
+  background-position:-1120px -56px;
+  cursor:default;
+}
 #icon_inc_period {
-  background:url(./../icon/inc_period.png);
+  background-position:-1148px 0;
 }
 #icon_inc_period:hover {
-  background:url(./../icon/inc_period_h.png);
+  background-position:-1148px -28px;
+}
+#icon_inc_period_unactive {
+  background-position:-1148px -56px;
+  cursor:default;
 }
 
@@ -386,16 +423,68 @@
 /* search_rules.tpl */
 #icon_exit {
-  background:url(./../icon/exit.png);
+  background-position:-840px 0;
 }
 #icon_exit:hover {
-  background:url(./../icon/exit_h.png);
+  background-position:-840px -28px;
 }
 
 /* search.tpl */
 #icon_help {
-  background:url(./../icon/help.png);
+  background-position:-280px 0;
 }
 #icon_help:hover {
-  background:url(./../icon/help_h.png);
+  background-position:-280px -28px;
+}
+
+/* pseudo icons */
+span.id_recent {
+  background-position:-700px -28px;
+  height: 16px;
+  width: 16px;
+  margin: -3px -3px 2px 2px;
+}
+span.id_recent_cat {
+  background-position:-700px -28px;
+  height: 16px;
+  width: 16px;
+  position: relative;
+  top: -5px;
+  left:-6px;
+}
+span.id_recent_cat_by_child {
+  background-position:-728px -28px;
+  height: 16px;
+  width: 18px;
+  position: relative;
+  left:-6px;
+}
+span.id_delete {
+  background-position:-756px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_delete:hover {
+  background-position:-756px -28px;
+}
+span.id_edit {
+  background-position:-784px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_edit:hover {
+  background-position:-784px -28px;
+}
+span.id_validate {
+  background-position:-812px 0;
+  height: 16px;
+  width: 16px;
+}
+span.id_validate:hover {
+  background-position:-812px -28px;
+}
+
+div.description span.id_recent_cat {
+  top: 0px;
+  left:-4px;
 }
 
@@ -586,5 +675,4 @@
 #menubar dt .button {
   right:-3px;
-  top:-5px;
 }
 
@@ -723,4 +811,14 @@
   picture page
 */
+#thePicturePage #titrePageID {
+  float: left;
+  height: 19px;
+  padding:0 0 0 3px;
+}
+#thePicturePage #menuswitcher {
+  left:0;
+  top:0;
+  height: 19px;
+}
 
 #theImgHighBg {
@@ -735,26 +833,39 @@
 
 #theImgHighCloseButton {
-  width:28px;
-  height:28px;
-  background:transparent url(./../icon/close_high.png) no-repeat scroll 0px 0px;
-  top:15px;
-  right:-15px;
+  background-image:url(./../icon/buttons.png);
+  background-repeat:no-repeat;
+  background-position:-1204px 0px;
+  width:15px;
+  height:15px;
+  top:-8px;
+  right:8px;
   cursor:pointer;
 }
+#theImgHighCloseButton:hover {
+  background-position:-1204px -28px;
+}
 
 #theImgHighZoomButton {
-  width:28px;
-  height:28px;
-  top:45px;
-  right:-15px;
+  background-image:url(./../icon/buttons.png);
+  background-repeat:no-repeat;
+  width:15px;
+  height:15px;
+  top:-8px;
+  right:28px;
   cursor:pointer;
 }
 
 #theImgHighZoomButton.fit {
-  background:transparent url(./../icon/zoom_fit_high.png) no-repeat scroll 0px 0px;
+  background-position:-1232px 0px;
+}
+#theImgHighZoomButton.fit:hover {
+  background-position:-1232px -28px;
 }
 
 #theImgHighZoomButton.full {
-  background:transparent url(./../icon/zoom_1-1_high.png) no-repeat scroll 0px 0px;
+  background-position:-1260px 0px;
+}
+#theImgHighZoomButton.full:hover {
+  background-position:-1260px -28px;
 }
 
@@ -1023,17 +1134,32 @@
 
 /*
+ * notification
+ */
+span.rssFeed {
+  display:inline-block;
+  width:11px;
+  height:14px;
+  background-image:url(./../icon/buttons.png);
+  background-repeat:no-repeat;
+  background-position:-1176px 0;
+  margin-right: 4px;
+  position: relative;
+  top: 1px;
+}
+
+/*
  vd language switch plugin
 */
-.menuf ul li a, .menuf ul li a:visited {
+div.content ul.categoryActions li.menuf ul li a,
+div.content ul.categoryActions li.menuf ul li a:visited {
   height:27px;
   line-height:27px;
-  margin-top:5px;
-}
-
-.menuf ul.flag-pan .flags:hover, .menuf a img.flags {
+}
+
+div.content ul.categoryActions li.menuf ul.flag-pan .flags:hover, .menuf a img.flags {
   border:1px solid #303030;
 }
 
-.menuf ul.flag-pan .flags {
+div.content ul.categoryActions li.menuf ul.flag-pan .flags {
   border:1px solid #000000;
 }
@@ -1042,4 +1168,12 @@
   background:#000000 url(./../icon/backgd.png) repeat scroll 0 0;
   border:1px solid #303030;
+}
+
+div.content ul.categoryActions li.menuf ul li a,
+div.content ul.categoryActions li.menuf ul li.languageSwitchBoxTitle {
+  color:#dedede;
+}
+div.content ul.categoryActions li.menuf ul li a:hover {
+  color:#ffff80;
 }
 
Index: /extensions/gally/gally-grum-dark-II/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-grum-dark-II/themeconf.inc.php	(revision 12598)
+++ /extensions/gally/gally-grum-dark-II/themeconf.inc.php	(revision 12599)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Grum dark II
-Version: 1.3.5
+Version: 1.4.0
 Description: Dark theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=371