Index: extensions/Subscribe_to_comments/include/functions.inc.php
===================================================================
--- extensions/Subscribe_to_comments/include/functions.inc.php	(revision 12600)
+++ extensions/Subscribe_to_comments/include/functions.inc.php	(revision 12607)
@@ -58,4 +58,6 @@
     
   $generic_content = '
+<a href="'.$element['url'].'"><img src="'.$element['thumbnail'].'" alt="'.$element['name'].'"></a>
+<br>
 <b>.'.trigger_event('render_comment_author', $comm['author']).'</b> wrote :
 
@@ -79,5 +81,5 @@
 
 
-/*
+/**
  * add an email to subscribers list
  * @param int (image|category)_id
@@ -155,5 +157,6 @@
 }
 
-/*
+
+/**
  * remove an email from subscribers list
  * @param int (image|category)_id
@@ -205,5 +208,6 @@
 }
 
-/*
+
+/**
  * validate a subscription
  * @param int (image|category)_id
@@ -243,4 +247,5 @@
 }
 
+
 /**
  * create absolute url to subscriptions section
@@ -284,4 +289,5 @@
 }
 
+
 /**
  * get name and url of a picture
@@ -297,5 +303,7 @@
     id,
     name,
-    file
+    file,
+    path, 
+    tn_ext
   FROM '.IMAGES_TABLE.'
   WHERE id = '.$image_id.'
@@ -316,4 +324,6 @@
   $element['url'] = make_picture_url($url_params);
   
+  $element['thumbnail'] = get_thumbnail_url($element);
+  
   return $element;
 }
@@ -326,13 +336,23 @@
 function get_category_infos($cat_id)
 {
+  global $conf;
+  
   $query = '
 SELECT
-    id,
-    name,
-    permalink
-  FROM '.CATEGORIES_TABLE.'
-  WHERE id = '.$cat_id.'
+    cat.id,
+    cat.name,
+    cat.permalink,
+    img.id AS image_id,
+    img.path,
+    img.tn_ext
+  FROM '.CATEGORIES_TABLE.' AS cat
+    LEFT JOIN '.USER_CACHE_CATEGORIES_TABLE.' AS ucc 
+      ON ucc.cat_id = cat.id AND ucc.user_id = '.$conf['guest_id'].'
+    LEFT JOIN '.IMAGES_TABLE.' AS img
+      ON img.id = ucc.user_representative_picture_id
+  WHERE cat.id = '.$cat_id.'
 ;';
   $element = pwg_db_fetch_assoc(pwg_query($query));
+  // we use guest_id for user_cache beacause we don't know the status of recipient
   
   $url_params['section'] = 'categories';
@@ -340,6 +360,13 @@
   $element['url'] = make_index_url($url_params);
   
+  $element['thumbnail'] = get_thumbnail_url(array(
+    'id' => $element['image_id'],
+    'path' => $element['path'],
+    'tn_ext' => $element['tn_ext'],
+    ));
+  
   return $element;
 }
+
 
 /**
Index: extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php
===================================================================
--- extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 12600)
+++ extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 12607)
@@ -173,14 +173,8 @@
 function stc_on_picture_prefilter($template, &$smarty)
 {
-  global $user, $picture;  
-  
-  ## subscribe at any moment ##
-  $search[1] = '{if isset($comment_add)}';
-  
-  $replace[1] = $search[1].'
-<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="stc_standalone">
-  <fieldset>';
+  global $user, $picture;
   
   // if registered user we check if already subscribed
+  $subscribed = false;
   if (!is_a_guest())
   {
@@ -195,12 +189,22 @@
     if (pwg_db_num_rows(pwg_query($query)))
     {
-      $replace[1].= '
+      $subscribed = true;
+    }
+  }
+  
+  ## subscribe at any moment ##
+  $search[1] = '{if isset($comment_add)}';
+  
+  $replace[1] = $search[1].'
+<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="stc_standalone">
+  <fieldset>';
+  
+  if ($subscribed)
+  {
+    $replace[1].= '
     {\'You are currently subscribed to comments of this picture.\'|@translate}
     <a href="'.add_url_params($picture['current']['url'], array('stc_unsubscribe'=>'1')).'">{\'Unsubscribe\'|@translate}';
-      $no_form = true;
-    }
-  }
-  
-  if (!isset($no_form))
+  }
+  else
   {
     $replace[1].= '
@@ -212,5 +216,5 @@
       $replace[1].= ' 
       <label style="display:none;">{\'Email address\'|@translate} <input type="text" name="stc_mail_stdl"></label>
-      <label style="display:none;"><input type="submit" value="{\'Submit\'|@translate}"></label>
+      <label style="display:none;"><input type="submit" id="stc_submit" value="{\'Submit\'|@translate}"></label>
     {footer_script require="jquery"}{literal}
     jQuery(document).ready(function() {
@@ -248,5 +252,5 @@
   $replace[0] = null;
   
-  if (!isset($no_form))
+  if (!$subscribed)
   {
     $replace[0].= '
@@ -335,14 +339,8 @@
 function stc_on_album_prefilter($template, &$smarty)
 {
-  global $user, $page;  
-  
-  ## subscribe at any moment ##
-  $search[1] = '{if isset($comment_add)}';
-  
-  $replace[1] = $search[1].'
-<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="stc_standalone">
-  <fieldset>';
+  global $user, $page;
   
   // if registered user we check if already subscribed
+  $subscribed = false;
   if (!is_a_guest())
   {
@@ -357,17 +355,28 @@
     if (pwg_db_num_rows(pwg_query($query)))
     {
-      $url_params['section'] = 'categories';
-      $url_params['category'] = $page['category'];
-      
-      $element_url = make_index_url($url_params);
+      $subscribed = true;
+    }
+  }
+  
+  ## subscribe at any moment ##
+  $search[1] = '{if isset($comment_add)}';
+  
+  $replace[1] = $search[1].'
+<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="stc_standalone">
+  <fieldset>';
+  
+  // if registered user we check if already subscribed
+  if ($subscribed)
+  {
+    $url_params['section'] = 'categories';
+    $url_params['category'] = $page['category'];
     
-      $replace[1].= '
+    $element_url = make_index_url($url_params);
+  
+    $replace[1].= '
     {\'You are currently subscribed to comments of this album.\'|@translate}
     <a href="'.add_url_params($element_url, array('stc_unsubscribe'=>'1')).'">{\'Unsubscribe\'|@translate}';
-      $no_form = true;
-    }
-  }
-  
-  if (!isset($no_form))
+  }
+  else
   {
     $replace[1].= '
@@ -379,5 +388,5 @@
       $replace[1].= ' 
       <label style="display:none;">{\'Email address\'|@translate} <input type="text" name="stc_mail_stdl"></label>
-      <label style="display:none;"><input type="submit" value="{\'Submit\'|@translate}"></label>
+      <label style="display:none;"><input type="submit" id="stc_submit" value="{\'Submit\'|@translate}"></label>
     {footer_script require="jquery"}{literal}
     jQuery(document).ready(function() {
@@ -415,5 +424,5 @@
   $replace[0] = null;
   
-  if (!isset($no_form))
+  if (!$subscribed)
   {
     $replace[0].= '
@@ -442,22 +451,19 @@
  * add link to management page for registered users
  */
-function stc_menubar_apply($menu_ref_arr)
+function stc_profile_link()
 {
   global $template;
-  $menu = &$menu_ref_arr[0];
-  
-  if ( !is_a_guest() and ($block = $menu->get_block('mbIdentification')) != null )
-  {
-    $template->set_prefilter('menubar', 'stc_menubar_apply_prefilter'); 
-  }
-}
-
-function stc_menubar_apply_prefilter($content, &$smarty)
+  
+  $template->set_prefilter('profile_content', 'stc_profile_link_prefilter'); 
+}
+
+function stc_profile_link_prefilter($content, &$smarty)
 {
   global $user;
   
-  $search = '{if isset($U_REGISTER)}';
-  $replace = '<li><a href="'.make_stc_url('manage', $user['email']).'" title="{\'Manage my subscriptions\'|@translate}" rel="nofollow">{\'Manage my subscriptions\'|@translate}</a></li>';
-  return str_replace($search, $replace.$search, $content);
+  $search = '<p class="bottomButtons">';
+  $replace = '<a href="'.make_stc_url('manage', $user['email']).'" title="{\'Manage my subscriptions to comments\'|@translate}" rel="nofollow">{\'Manage my subscriptions to comments\'|@translate}</a><br>';
+  
+  return str_replace($search, $search.$replace, $content);
 }
 ?>
Index: extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 12600)
+++ extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 12607)
@@ -17,8 +17,9 @@
 $lang['Only unsubscribe notifications for comments from:'] = 'Only unsubscribe notifications for comments from:';
 $lang['Unsubscribe from all email notifications'] = 'Unsubscribe from all email notifications';
-$lang['Manage my subscriptions'] = 'Manage my subscriptions';
+$lang['Manage my subscriptions to comments'] = 'Manage my subscriptions to comments';
 $lang['Item'] = 'Item';
 $lang['Date'] = 'Date';
 $lang['You are not subscribed to any comment.'] = 'You are not subscribed to any comment.';
+$lang['Return to item page'] = 'Return to item page';
 
 ?>
Index: extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 12600)
+++ extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 12607)
@@ -13,12 +13,13 @@
 $lang['Your subscribtion has been validated, thanks you.'] = 'Votre inscription a été validée, merci.';
 $lang['Nothing to validate.'] = 'Rien à valider.';
-$lang['Subscriptions of'] = 'Subscriptions of';
+$lang['Subscriptions of'] = 'Abonnements de';
 $lang['Unsubscribe from email notification'] = 'Se désinscrire de la notification par mail';
 $lang['Only unsubscribe notifications for comments from:'] = 'Uniquement se désinscrire de :';
 $lang['Unsubscribe from all email notifications'] = 'Ne plus recevoir aucune notification';
-$lang['Manage my subscriptions'] = 'Gérer mes abonnements';
+$lang['Manage my subscriptions to comments'] = 'Gérer mes abonnements aux commentaires';
 $lang['Item'] = 'Objet';
 $lang['Date'] = 'Date';
 $lang['You are not subscribed to any comment.'] = 'Vous n\'êtes inscrit à aucun commentaire.';
+$lang['Return to item page'] = 'Retourner à la page de l\'élément';
 
 ?>
Index: extensions/Subscribe_to_comments/main.inc.php
===================================================================
--- extensions/Subscribe_to_comments/main.inc.php	(revision 12600)
+++ extensions/Subscribe_to_comments/main.inc.php	(revision 12607)
@@ -34,6 +34,6 @@
 add_event_handler('loc_end_index', 'stc_load_section');
 
-// menu link
-add_event_handler('blockmanager_apply', 'stc_menubar_apply');
+// profile link
+add_event_handler('loc_begin_profile', 'stc_profile_link');
 
 ?>
Index: extensions/Subscribe_to_comments/template/style.css
===================================================================
--- extensions/Subscribe_to_comments/template/style.css	(revision 12600)
+++ extensions/Subscribe_to_comments/template/style.css	(revision 12607)
@@ -9,5 +9,6 @@
 
 .subscriptions_list TD {
-	padding: 0 5px;
+	padding:5px 5px 2px 5px;
+  vertical-align:center;
 }
 
@@ -16,16 +17,17 @@
 }
 
-.subscriptions_list TH { 
-  padding:7px 5px;
-}
+.row2 { background-color:#222; }
+.row1 { background-color:#333; }
 
-.row2 { background-color: #222; }
-.throw, .row1 { background-color:#111;  }
-
-p {
+.stc p {
   text-align:center;
 }
 
-label {
+.stc label {
   display:block;
 }
+
+img.thumbnail {
+  max-width:120px;
+  max-height:90px;
+}
Index: extensions/Subscribe_to_comments/template/subscribtions_page.tpl
===================================================================
--- extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 12600)
+++ extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 12607)
@@ -5,5 +5,5 @@
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
 
-<div id="content" class="content">
+<div id="content" class="content stc">
   <div class="titrePage">
     <ul class="categoryActions">
@@ -58,13 +58,9 @@
   <form action="{$MANAGE_LINK}" method="post">
   <fieldset>
-    <legend>{'Manage my subscriptions'|@translate}</legend>
+    <legend>{'Manage my subscriptions to comments'|@translate}</legend>
     <table class="subscriptions_list">
-      <tr class="throw">
-        <th>{'Item'|@translate}</th>
-        <th>{'Date'|@translate}</th>
-        <th>{'Unsubscribe'|@translate}</th>
-      </tr>
       {foreach from=$subscriptions item=sub name=subs_loop}
       <tr class="{if $smarty.foreach.subs_loop.index is odd}row1{else}row2{/if}">
+        <td><img src="{$sub.infos.thumbnail}" alt="{$sub.infos.name}" class="thumbnail"></td>
         <td>
           {if $sub.type == 'image'}
@@ -74,6 +70,6 @@
           {/if} 
           <a href="{$sub.infos.url}">{$sub.infos.name}</a>
+          <br>{$sub.registration_date}
         </td>
-        <td>{$sub.registration_date}</td>
         <td><a href="{$MANAGE_LINK}&amp;unsubscribe={$sub.id}">{'Unsubscribe'|@translate}</a></td>
       </tr>