Index: trunk/admin/themes/default/template/footer.tpl
===================================================================
--- trunk/admin/themes/default/template/footer.tpl	(revision 12612)
+++ trunk/admin/themes/default/template/footer.tpl	(revision 12613)
@@ -47,5 +47,5 @@
 {footer_script require='jquery.tipTip'}
 jQuery(document).ready(function() {ldelim}
-	jQuery('#pwgHead A[title], #footer A[title], .themeActions A, .themeActions SPAN, .languageActions A, .languageActions SPAN').tipTip({ldelim}
+	jQuery('#pwgHead A[title], #footer A[title], .themeActions .tiptip, .languageActions .tiptip').tipTip({ldelim}
 			'delay' : 0,
 			'fadeIn' : 200,
Index: trunk/admin/themes/default/template/languages_installed.tpl
===================================================================
--- trunk/admin/themes/default/template/languages_installed.tpl	(revision 12612)
+++ trunk/admin/themes/default/template/languages_installed.tpl	(revision 12613)
@@ -23,5 +23,5 @@
       {if $language_state == 'active'}
         {if $language.deactivable}
-      <a href="{$language.u_action}&amp;action=deactivate" title="{'Forbid this language to users'|@translate}">{'Deactivate'|@translate}</a>
+      <a href="{$language.u_action}&amp;action=deactivate" class="tiptip" title="{'Forbid this language to users'|@translate}">{'Deactivate'|@translate}</a>
         {else}
       <span title="{$language.deactivate_tooltip}">{'Deactivate'|@translate}</span>
@@ -29,11 +29,11 @@
 
         {if not $language.is_default}
-      | <a href="{$language.u_action}&amp;action=set_default" title="{'Set as default language for unregistered and new users'|@translate}">{'Default'|@translate}</a>
+      | <a href="{$language.u_action}&amp;action=set_default" class="tiptip" title="{'Set as default language for unregistered and new users'|@translate}">{'Default'|@translate}</a>
         {/if}
       {/if}
 
       {if $language_state == 'inactive'}
-      <a href="{$language.u_action}&amp;action=activate" title="{'Make this language available to users'|@translate}">{'Activate'|@translate}</a>
-      | <a href="{$language.u_action}&amp;action=delete" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'Delete this language'|@translate}">{'Delete'|@translate}</a>
+      <a href="{$language.u_action}&amp;action=activate" class="tiptip" title="{'Make this language available to users'|@translate}">{'Activate'|@translate}</a>
+      | <a href="{$language.u_action}&amp;action=delete" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" class="tiptip" title="{'Delete this language'|@translate}">{'Delete'|@translate}</a>
       {/if}
       </div>
Index: trunk/admin/themes/default/template/themes_installed.tpl
===================================================================
--- trunk/admin/themes/default/template/themes_installed.tpl	(revision 12612)
+++ trunk/admin/themes/default/template/themes_installed.tpl	(revision 12613)
@@ -23,5 +23,5 @@
       <div>
 {if $theme.deactivable}
-      <a href="{$deactivate_baseurl}{$theme.id}" title="{'Forbid this theme to users'|@translate}">{'Deactivate'|@translate}</a>
+      <a href="{$deactivate_baseurl}{$theme.id}" class="tiptip" title="{'Forbid this theme to users'|@translate}">{'Deactivate'|@translate}</a>
 {else}
       <span title="{$theme.deactivate_tooltip}">{'Deactivate'|@translate}</span>
@@ -29,8 +29,8 @@
       
 {if not $theme.is_default}
-      | <a href="{$set_default_baseurl}{$theme.id}" title="{'Set as default theme for unregistered and new users'|@translate}">{'Default'|@translate}</a>
+      | <a href="{$set_default_baseurl}{$theme.id}" class="tiptip" title="{'Set as default theme for unregistered and new users'|@translate}">{'Default'|@translate}</a>
 {/if}
 {if isset($theme.admin_uri)}
-      <br><a href="{$theme.admin_uri}" title="{'Configuration'|@translate}">{'Configuration'|@translate}</a>
+      <br><a href="{$theme.admin_uri}" class="tiptip" title="{'Configuration'|@translate}">{'Configuration'|@translate}</a>
 {/if}
       </div>