Index: /extensions/Comments_on_Albums/include/coa_albums.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_albums.php	(revision 12617)
+++ /extensions/Comments_on_Albums/include/coa_albums.php	(revision 12618)
@@ -350,5 +350,14 @@
     );
   
-  $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums.tpl');
+  global $user;
+  if ( $is_simple = strstr($user['theme'], 'simple') !== false or strstr($user['theme'], 'stripped') !== false )
+  {
+    $template->assign('IS_SIMPLE', $is_simple);
+    $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums_simple.tpl');
+  }
+  else
+  {
+    $template->set_filename('comments_on_albums', dirname(__FILE__) .'/../template/albums.tpl');
+  }
   $template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('comments_on_albums', true));
   
Index: /extensions/Comments_on_Albums/main.inc.php
===================================================================
--- /extensions/Comments_on_Albums/main.inc.php	(revision 12617)
+++ /extensions/Comments_on_Albums/main.inc.php	(revision 12618)
@@ -25,10 +25,18 @@
 //          Triggers
 // +-----------------------------------------------------------------------+
-add_event_handler('loc_end_index', 'COA_albums');
-add_event_handler('loc_after_page_header', 'COA_comments_page');
-add_event_handler('loc_begin_admin_page', 'COA_admin_intro');
-add_event_handler('loc_end_admin', 'COA_admin_comments');
-add_event_handler('get_admin_plugin_menu_links', 'COA_admin_menu');
-add_event_handler('get_stuffs_modules', 'COA_register_stuffs_module');
+add_event_handler('init', 'coa_init');
+function coa_init()
+{
+  global $user;
+  // luciano doesn't show comments, display is very bad on Stripped & Collumns
+  if ($user['theme'] == 'luciano' or $user['theme'] == 'stripped_black_bloc') return;
+  
+  add_event_handler('loc_end_index', 'COA_albums');
+  add_event_handler('loc_after_page_header', 'COA_comments_page');
+  add_event_handler('loc_begin_admin_page', 'COA_admin_intro');
+  add_event_handler('loc_end_admin', 'COA_admin_comments');
+  add_event_handler('get_admin_plugin_menu_links', 'COA_admin_menu');
+  add_event_handler('get_stuffs_modules', 'COA_register_stuffs_module');
+}
 
 
Index: /extensions/Comments_on_Albums/template/albums_simple.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/albums_simple.tpl	(revision 12618)
+++ /extensions/Comments_on_Albums/template/albums_simple.tpl	(revision 12618)
@@ -0,0 +1,33 @@
+{* this is inspired by theme/simple/template/picture.tpl *}
+
+{if $is_simple !== false}{combine_css path=$COA_PATH|@cat:'template/style_albums_simple.css'}{/if}
+
+{if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
+<div id="theComments">
+  <h3 title="{'Add a comment'|@translate}">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
+    {if !empty($COMMENT_NAV_BAR)}
+    <div class="navigationBar">{$COMMENT_NAV_BAR}</div>
+    {/if}
+    {if isset($comment_add)}
+    <div id="commentAdd">
+      <h4>{'Add a comment'|@translate}</h4>
+      <form  method="post" action="{$comment_add.F_ACTION}" class="filter">
+        {if $comment_add.SHOW_AUTHOR}
+        <p><label>{'Author'|@translate}&nbsp;:</label></p>
+        <p><input type="text" name="author" /></p>
+        {/if}
+        <p><label>{'Comment'|@translate}&nbsp;:</label></p>
+        <p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
+        <p><input type="hidden" name="key" value="{$comment_add.KEY}" />
+          <input class="submit" type="submit" value="{'Submit'|@translate}"></p>
+      </form>
+    </div>
+    {/if}
+    {if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+    {if isset($comments)}
+    <div id="commentList">
+      {include file='comment_list.tpl'}
+    </div>
+    {/if}
+</div>
+{/if} {*comments*}
Index: /extensions/Comments_on_Albums/template/style_albums_simple.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums_simple.css	(revision 12618)
+++ /extensions/Comments_on_Albums/template/style_albums_simple.css	(revision 12618)
@@ -0,0 +1,10 @@
+#theComments {
+  width:1000px;
+  margin-left:186px;
+}
+#commentAdd {
+  width:400px;
+}
+#commentList {
+  width:530px;
+}