Index: trunk/admin/themes/clear/theme.css
===================================================================
--- trunk/admin/themes/clear/theme.css	(revision 12630)
+++ trunk/admin/themes/clear/theme.css	(revision 12633)
@@ -93,16 +93,15 @@
 
 
-UL.thumbnails span.wrap2:hover { background-color:#eee; border:1px solid #0cc9c; color:#999; }
-UL.thumbnails span.wrap2 { border:1px solid #999; padding: 4px; }
-UL.thumbnails span.wrap2 { -moz-border-radius:4px; }
-UL.thumbnails span.wrap1 { margin:0 12px 5px; }
+UL.thumbnails span.wrap2:hover { background-color:#7CBA0F; color:#999; }
+UL.thumbnails span.wrap2 {
+	padding: 4px;
+	border-radius: 4px;
+	background-color:#ddd;
+}
+
 
 /* borders */
 fieldset { border: 2px solid #ddd; }
 TEXTAREA { cursor:text; font-size: 13px; }
-UL.thumbnails SPAN.wrap2 {
-  border: 1px solid #555555;  /* thumbnails border color and style */
-  border-radius: 4px 4px; /* round corners with CSS3 compliant browsers */
-}
 .tagSelection label { padding-right:12px; }
 .tagSelection LI.tagSelected {background-color:#dbe8f3;}
@@ -276,5 +275,4 @@
 UL.thumbnails li.rank-of-image {background-color: #ddd;}
 
-#batchManagerGlobal ul.thumbnails span.wrap2 {background-color:#ddd;}
 #batchManagerGlobal .thumbSelected {background-color:#C2F5C2 !important}
 #batchManagerGlobal #selectedMessage {background-color:#C2F5C2;}
Index: trunk/admin/themes/default/theme.css
===================================================================
--- trunk/admin/themes/default/theme.css	(revision 12630)
+++ trunk/admin/themes/default/theme.css	(revision 12633)
@@ -7,6 +7,6 @@
 .content dt { margin-bottom: 5px; font-style: italic;
   font-size: 110%; }
-.content ul.categoryActions a img, ul.categoryActions a { 
-border:0; margin-bottom:-5px; }  
+.content ul.categoryActions a img, ul.categoryActions a {
+border:0; margin-bottom:-5px; }
 ul.categoryActions { margin: 0 2px; width: auto; list-style-position:outside;
   padding: 0; text-indent: 0; list-style: none; text-align: center; }
@@ -14,5 +14,5 @@
 .content div.titrePage { padding: 0 0 3px; }
 .content ul.categoryActions li { display: inline; }
-.content div.comment { margin: 0 0 0.5em 0; padding: 0; 
+.content div.comment { margin: 0 0 0.5em 0; padding: 0;
   overflow: hidden; width: 100%;	/* don't ask why. It's a very usefull trick  */ }
 .content div.comment a.illustration {
@@ -34,5 +34,5 @@
 }
 UL.thumbnails LI { display: inline }
-UL.thumbnails li.rank-of-image { 
+UL.thumbnails li.rank-of-image {
   float: left;
   background-color: #333;
@@ -57,5 +57,5 @@
 }
 UL.thumbnails SPAN.wrap1 {
-  margin: 0 5px 5px 5px;
+  margin: 5px;
   display: table-cell; display: inline-table;
   display: inline-block; /* Why 3 display option ??? */
@@ -146,5 +146,5 @@
 	width: 100%;
 }
- 
+
 FORM#categoryOrdering {
 	padding-left: 1em; /* same as FIELDSET margin (there is no fieldset in this form) */
@@ -369,6 +369,6 @@
 	border-bottom: 1px solid #FF3363;
 }
-A.button, A.button:hover { 
-	border: 0; 
+A.button, A.button:hover {
+	border: 0;
 }
 IMG {
@@ -576,5 +576,5 @@
 img.ui-datepicker-trigger {
   cursor : pointer;
-  vertical-align: middle; 
+  vertical-align: middle;
   margin:-3px 5px 2px 5px;
 }
@@ -768,13 +768,13 @@
 
 /* Webkit Hacks  */
-@media screen and (-webkit-min-device-pixel-ratio:0) {	
+@media screen and (-webkit-min-device-pixel-ratio:0) {
 	#tiptip_content {
 		padding: 4px 8px 5px 8px;
 		background-color: rgba(45,45,45,0.88);
 	}
-	#tiptip_holder.tip_bottom #tiptip_arrow_inner { 
+	#tiptip_holder.tip_bottom #tiptip_arrow_inner {
 		border-bottom-color: rgba(45,45,45,0.88);
 	}
-	#tiptip_holder.tip_top #tiptip_arrow_inner { 
+	#tiptip_holder.tip_top #tiptip_arrow_inner {
 		border-top-color: rgba(20,20,20,0.92);
 	}
@@ -785,11 +785,11 @@
   width: 18em;
   margin: 10px 0 50px 5px;
-  display: inline; 
-  float: left; 
-  left: 0; 
+  display: inline;
+  float: left;
+  left: 0;
 }
 
 .content {
-  padding:0 5px 0 0; 
+  padding:0 5px 0 0;
   margin: 0 5px 0 227px;
   z-index:99;
@@ -898,14 +898,14 @@
 
 .pluginMiniBox {
-  display:inline-table; 
-  text-align:center; 
-  width:250px; 
-  height:40px; 
-  margin:5px; 
+  display:inline-table;
+  text-align:center;
+  width:250px;
+  height:40px;
+  margin:5px;
   border-width:1px;
   border-style:solid;
   border-radius:5px;
   -moz-border-radius:5px;
-  overflow:hidden; 
+  overflow:hidden;
  }
 .pluginMiniBoxNameCell {font-size:1.05em; margin:5px 0;position:relative;}
@@ -959,5 +959,5 @@
 SELECT, TEXTAREA {
   color:#999;
-  background-color: #666;	
+  background-color: #666;
 }
 
@@ -997,5 +997,5 @@
   margin: 14px 24px 14px 14px;
   padding: 5px 0 0 0;
-  top: 90px; 
+  top: 90px;
   position: absolute;
   text-align: right;
@@ -1013,7 +1013,4 @@
 #batchManagerGlobal #action_del_tags ul.tagSelection {margin:0 !important; width:620px;}
 #batchManagerGlobal #checkActions {text-align:left; margin:0 0 20px 0;}
-#batchManagerGlobal ul.thumbnails span.wrap1 {margin:5px}
-#batchManagerGlobal ul.thumbnails span.wrap2 {border:0}
-#batchManagerGlobal ul.thumbnails span.wrap2:hover {background-color:#7CBA0F;}
 #batchManagerGlobal ul.thumbnails div.actions {display:none;position:absolute;top:0;right:5px;}
 #batchManagerGlobal ul.thumbnails div.actions a {color:#222;}
Index: trunk/admin/themes/roma/theme.css
===================================================================
--- trunk/admin/themes/roma/theme.css	(revision 12630)
+++ trunk/admin/themes/roma/theme.css	(revision 12633)
@@ -26,11 +26,11 @@
 h2 { color: #ccc; }
 
-.header_notes { 
+.header_notes {
   background: transparent url(../default/icon/note.png) no-repeat right top;
-  border: none; 
+  border: none;
   min-height: 48px;
-  padding: 15px 60px 0 0;  
+  padding: 15px 60px 0 0;
   right: 0;
-  width: 550px;  
+  width: 550px;
 }
 html, body { min-height: 100%; }
@@ -50,5 +50,5 @@
 
 .content {
-  border: 1px solid #222; 
+  border: 1px solid #222;
 }
 
@@ -60,8 +60,11 @@
 
 
-UL.thumbnails span.wrap2:hover { background-color:#111; border:1px solid #FF3363; color:#666; }
-UL.thumbnails span.wrap2 { border:1px solid #666; padding: 4px; }
-UL.thumbnails span.wrap2 { -moz-border-radius:4px;  }
-UL.thumbnails span.wrap1 { margin:0 12px 5px; }
+UL.thumbnails span.wrap2:hover { background-color#7CBA0F; color:#666; }
+UL.thumbnails span.wrap2 {
+	padding: 4px;
+	border-radius: 4px;
+	background-color:#333;
+}
+
 /* .throw, */ td h3 {
  background-image: url(images/fillet.png); background-repeat: repeat-x; }
@@ -71,8 +74,4 @@
 input:focus, select:focus, textarea:focus, input.focus, form .focus { background-color:#444;color: #999; }
 TEXTAREA { cursor:text; font-size: 13px; }
-UL.thumbnails SPAN.wrap2 {
-  border: 1px solid #aaaaaa;  /* thumbnails border color and style */
-  border-radius: 4px 4px; /* round corners with CSS3 compliant browsers */
-}
 .tagSelection label { padding-right:12px; }
 .tagSelection LI.tagSelected {background-color:#aaa;}
@@ -130,6 +129,6 @@
 #menubar {
 background:transparent url(images/menuBoxBottom_new.png) no-repeat scroll left bottom;
-border:0; 
-padding:0; width:207px; z-index:99; text-align: left; 
+border:0;
+padding:0; width:207px; z-index:99; text-align: left;
 }
 
@@ -240,5 +239,4 @@
 .languageDefault {background-color:#555; color:#aaa;}
 
-#batchManagerGlobal ul.thumbnails span.wrap2 {background-color:#333;}
 #batchManagerGlobal .thumbSelected {background-color:#555 !important}
 #batchManagerGlobal #selectedMessage {background-color:#555; color:#ddd;}