Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 12651)
+++ /extensions/Autosize/autosize.inc.php	(revision 12652)
@@ -374,4 +374,17 @@
   {
 		global $conf,$autosize_parametres; 
+    $autosize_parametres ="";
+ 
+ if (!isset($conf['cl_autosize']))  {    
+  $conf['cl_autosize']="";
+  $q = '
+   INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+   VALUES ("cl_autosize","","Parametres du plugin Autosize")
+  ;';
+  pwg_query($q);
+  }
+ 
+ 
+
   		$autosize_parametres =  unserialize($conf['cl_autosize']);
       // $autosize_parametres = autosize_controler::Get_Options($autosize_parametres,'cl_autosize');
@@ -455,8 +468,5 @@
 $infos_message .=l10n("cl_autosize_save_config")."<br>";
  $autosize_parametres=cl_autosize_Set_Options();
-
- if ( isset($autosize_parametres) )
- 	{
- 
+ if ( isset($autosize_parametres) )	{ 
 		$query = '
     		UPDATE '.CONFIG_TABLE.'
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 12651)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 12652)
@@ -4,7 +4,8 @@
 function Toggle_bp() {
   cl_visible = !cl_visible;
-  set_cl();
+  
   jQuery().newResize();
   Wait_Affichage();
+  set_cl();
 }
   function set_cl(){
@@ -23,12 +24,12 @@
       src_info_1 = src5;
     }
-
+    zoom = jQuery('#zoom ').val() ;
     jQuery('#bp_cla').attr('alt', src_info);
     jQuery('#bp_cla').attr('title', src_info);
 
     jQuery('#bp_cla').attr('Stitle', src_info);
-    jQuery('#bp_cla').attr('Stip', " ");
-    zoom = jQuery('#zoom ').val();
-    jQuery('#bp_cla').text(src_info_1);
+    jQuery('#bp_cla').attr('Stip', zoom + "%");
+
+  //jQuery('#bp_cla span').text(src_info_1 +"    "+ zoom + "%");
     jQuery('#bp_cla span').text(zoom+"%" );
     bp_scr = jQuery('#bp_img_cla');
@@ -91,4 +92,12 @@
     if (fade_in == 0) {
         jQuery(Parent).css({ opacity: "1" });
+
+      jQuery("#theImg").css({ opacity: "1" });
+      jQuery("#imageTitleContainer").css({ opacity: "1" });
+      jQuery("#theImageAndTitle").css({ opacity: "1" });
+
+      
+
+
     } else {
     jQuery(Parent).animate({ opacity: "1" },
@@ -96,4 +105,8 @@
                                          function (i) {
                                            jQuery(Parent).css({ opacity: "1" });
+                                           jQuery("#theImg").css({ opacity: "1" });
+                                           jQuery("#imageTitleContainer").css({ opacity: "1" });
+                                           jQuery("#theImageAndTitle").css({ opacity: "1" });
+
                                        if (DEBUG_autosize == "true") {
 
@@ -544,5 +557,5 @@
          newResize: function () {
            //
-           set_cl();
+           //set_cl();
            if (typeof options != "undefined")
              if (options.imageAutosize) {
@@ -1102,6 +1115,6 @@
            //=== cadre = theImage
            jQuery(Cadre).css({ marginLeft: "auto" });
-           // jQuery(Cadre).width(Zone_Affichage.width);
-           jQuery(Cadre).css("width", "auto");
+           jQuery(Cadre).width(Zone_Affichage.width); //centrer simple black
+           // jQuery(Cadre).css("width", "auto");
 
            if (Type_Img == "panorama" || Type_Img == "pamoorama") {
@@ -1274,6 +1287,12 @@
              });
              if (theme.match(RegExp("luciano", "g"))) {
+               imgl = 180;
+               l = Zone_Affichage.left;
+
+               jQuery(".imageNumber").css({ left: l + "px"
+
+               });
                jQuery(Parent + " #theImg IMG").css({ height: img_finale.height + "px ",
-                 width: img_finale.width + "px "
+                 width: (img_finale.width - imgl) + "px ", marginTop: "0px"
                })
              }
@@ -1344,5 +1363,7 @@
            zoom = parseInt(zoom * 100);
            jQuery('#zoom ').val(zoom);
-           jQuery('#bp_cla span').text(zoom + "%");
+           set_cl();
+
+          
            //  --- réglage de la hauteur de page en fonction du copyright-----------
            if (typeof (pos_copyright) == "undefined") pos_copyright = jQuery("#copyright").infos();